package org.academiadecodigo.enuminatti.hibernatebootstrap.inheritance.singletable;

import org.academiadecodigo.enuminatti.hibernatebootstrap.SaveUtil;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class SingleTable {
    public static void main(String[] args) {
        SaveUtil<Vehicle> saveUtil = new SaveUtil<>();

        Boat boat = new Boat(200, 4);
        Car car = new Car(180, 4);

        System.out.println(saveUtil.save(boat));
        System.out.println(saveUtil.save(car));

        saveUtil.close();

    }
}
